libzypp: zypp::misc::testcase::ForceInstall Class Reference

libzypp 17.38.7

zypp::misc::testcase::ForceInstall Class Reference

`#include <zypp/misc/TestcaseSetup.h>`

## Public Member Functions
| ForceInstall ()
| ~ForceInstall ()
| ForceInstall (ForceInstallImpl &&data)
const std::string & | channel () const
const std::string & | package () const
const std::string & | kind () const
const ForceInstallImpl & | data () const
ForceInstallImpl & | data ()

## Private Attributes
RWCOW_pointer< ForceInstallImpl > | _pimpl

## Detailed Description

Definition at line 63 of file TestcaseSetup.h.

## Constructor & Destructor Documentation

## ◆ ForceInstall() [1/2]

zypp::misc::testcase::ForceInstall::ForceInstall | ( |  | ) |

Definition at line 32 of file TestcaseSetup.cc.

## ◆ ~ForceInstall()

zypp::misc::testcase::ForceInstall::~ForceInstall | ( |  | ) |

Definition at line 35 of file TestcaseSetup.cc.

## ◆ ForceInstall() [2/2]

zypp::misc::testcase::ForceInstall::ForceInstall | ( | ForceInstallImpl && | data | ) |

Definition at line 38 of file TestcaseSetup.cc.

## Member Function Documentation

## ◆ channel()

const std::string & zypp::misc::testcase::ForceInstall::channel | ( |  | ) | const

Definition at line 47 of file TestcaseSetup.cc.

## ◆ package()

const std::string & zypp::misc::testcase::ForceInstall::package | ( |  | ) | const

Definition at line 50 of file TestcaseSetup.cc.

## ◆ kind()

const std::string & zypp::misc::testcase::ForceInstall::kind | ( |  | ) | const

Definition at line 53 of file TestcaseSetup.cc.

## ◆ data() [1/2]

const ForceInstallImpl & zypp::misc::testcase::ForceInstall::data | ( |  | ) | const

Definition at line 41 of file TestcaseSetup.cc.

## ◆ data() [2/2]

ForceInstallImpl & zypp::misc::testcase::ForceInstall::data | ( |  | ) |

Definition at line 44 of file TestcaseSetup.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<ForceInstallImpl> zypp::misc::testcase::ForceInstall::_pimpl
| private

Definition at line 75 of file TestcaseSetup.h.

The documentation for this class was generated from the following files:

- zypp/misc/TestcaseSetup.h
- zypp/misc/TestcaseSetup.cc